Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ssi
Class ByteArrayServletOutputStream

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              org.apache.catalina.ssi.ByteArrayServletOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class ByteArrayServletOutputStream

extends javax.servlet.ServletOutputStream

Class that extends ServletOuputStream, used as a wrapper from within `SsiInclude`

Version:
  $Id: ByteArrayServletOutputStream.java 939518 2010-04-30 00:08:58Z kkolinko $
Author:
  Bip Thelin
See Also:
  `and ByteArrayOutputStream`

Field Summary
`protected java.io.ByteArrayOutputStream` | `buf` Our buffer to hold the stream.

Constructor Summary
`ByteArrayServletOutputStream()` Construct a new ServletOutputStream.

Method Summary
`byte[]` | `toByteArray()`
`void` | `write(int b)` Write to our buffer.

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.io.OutputStream
`close, flush, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buf

    protected java.io.ByteArrayOutputStream buf

  Our buffer to hold the stream.

Constructor Detail

### ByteArrayServletOutputStream

    public ByteArrayServletOutputStream()

  Construct a new ServletOutputStream.

Method Detail

### toByteArray

    public byte[] toByteArray()

  Returns:
    the byte array.

### write

    public void write(int b)

  Write to our buffer.

  Specified by:
    `write` in class `java.io.OutputStream`
  Parameters:
    `b` - The parameter to write

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.